### Method

# Xdp Portal update_install

#### Declaration [src]

    void
    xdp_portal_update_install (
      XdpPortal* portal,
      XdpParent* parent,
      XdpUpdateInstallFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Installs an available software update.

This should be called in response to a `XdpPortal::update-available` signal.

During the update installation, the `XdpPortal::update-progress` signal will be emitted to provide progress information.

#### Parameters

`parent` | `XdpParent`
| A `XdpParent`
| The data is owned by the caller of the function.
`flags` | `XdpUpdateInstallFlags`
| Options for this call.
`cancellable` | `GCancellable`
| Optional `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to call when the request is done.
| The argument can be `NULL`.
`data` | `gpointer`
| Data to pass to `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.